// ******************************************************************
// * TITLE: infowin.h                                               *
// * AUTHOR: Steven Winig                                           *
// * DATE: May 1, 1993                                              *
// * Purpose: Header file for keywin.c                              *
// ******************************************************************

#include "display.h"
#include "checkbox.h"
#include "players.h"

const int InfoXDim = 137;
const int InfoYDim = 75;

class InfoWindow : public Window
{

public:
   InfoWindow ();
   void Init (Display *d, int x, int y);
   void Draw ();
   Message Dispatch (Message&) { return NullMsg; }
      // messages are not needed, because nothing can be pressed
};
