/**********************************************************************
*	FILE:	messages.c
*	AUTHOR:	CALeague
*	DATE:	18 April 1993
*	PURPOSE:
*	  Messages are used to represent mouse and keyboard events, as
*	  well as to inform control functions of event that occur at
*	  the GUI level, for example, the pressing of a button.
***********************************************************************/

#include <string.h>
#include "messages.h"

Message NullMsg;
Message Acknowledged (Unknown, Acknowledgement);


bool Message::operator == (Message& msg)
{
  if ((origin == msg.origin) 	&&
      (code == msg.code)	&&
      (d1 == msg.d1)		&&
      (d2 == msg.d2)		&&
      (!strcmp (str, msg.str)))
    return True;
  else
    return False;
}


