/*************************************************************************
* 	FILE:	moves.c
*	AUTHOR: CALeague
*	DATE:	29 April 1993
*	PURPOSE:
**************************************************************************/

#include "moves.h"


void MoveList::Insert (Move *a)
{
  a->Next = First;
  First = a;
  Len++;
  if (!Current)
    Current = First;
  if (!Last)
    Last = First;
}

void MoveList::Append (Move *a)
{
  if (Last)
  {
    Last->Next = a;
    Last = a;
    Len++;
  }
  else
    Insert (a);
}


bool MoveList::Reset (void)
{
  Current = First;
  return (bool) (Current);
}


bool MoveList::Next (void)
{
  if (Current)
    Current = Current->Next;
  return (bool) (Current);
}

void MoveList::Nuke (void)
{
  delete First;
  First = Current = Last = 0;
  Len = 0;
}
