/*************************************************************************
* 	FILE:	playrwin.h
*	AUTHOR: CALeague / SRWinig
*	DATE:	30 April 1993/1 May 1993
*	PURPOSE:
*	  Declares the Player Information window, a component of the UI.
**************************************************************************/

#ifndef _PLAYRWIN_H
#define _PLAYRWIN_H

#include "window.h"
#include "players.h"

const char PlayerWinTitle [] = "Player Information";
const int PlayerWinXDim = 221;
const int PlayerWinYDim = 75;


class PlayerWindow : public Window
{
  char* Name;
  int Tokens [NTokenTypes], RoundNum, Address;
  void DrawInfo (void);	// make sure there is data; if (Tokens==Invalid)
			// then player is a spy.  don't show tokens.
public:
  PlayerWindow (void);

  void Draw (void);
  Message Dispatch (Message&) { return NullMsg; }

  void Update (Player&, int); // get info from player, Clear(), DrawInfo()
			      // and RoundNum.
  void Clear () { Client().Erase(); Client().Clear(); }
};



#endif
