/**********************************************************************
*       FILE:     TYPEDEFS.H
*       AUTHOR:   CALeague
*       DATE:     18 April 1993
*       MODIFIED: 30 April 1993 (4:30 pm) -Otis
*       PURPOSE:
*         Useful type definitions
***********************************************************************/

#ifndef _TYPEDEFS_H
#define _TYPEDEFS_H

typedef unsigned int    word;
typedef unsigned short  vect;
typedef unsigned char   byte;

enum bool { False, True, No=0, Yes, Off=0, On };
enum mode { Taxi, Bus, Subway };

inline bool between(int node, int min, int max)
  { return ( (node >= min) && (node <= max) ) ? True : False; }

inline int max (int a, int b)
{
  return (a>b)? a : b;
}

#endif
